Bug 964990 - IPv4 default gateway is mandatory
IPv4 default gateway is mandatory
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 05:15 EDT by Lukas "krteknet" Novy
Modified: 2015-02-17 10:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:16:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas "krteknet" Novy 2013-05-20 05:15:05 EDT
Description of problem:
Unable to set-up network configuration without a default gateway filled in.

Version-Release number of selected component (if applicable):
control-center-3.8.2-1.fc19

How reproducible:
Always

Steps to Reproduce:
1. Open Network settings from system tray/network icon
2. Choose connection, click "settings button"
3. Choose IPv4
4. Switch Address to Manual
5. Fill in the Adress and Netmask, leave Gateway blank
6. Click Apply (shadowed)

Actual results:
Unable to click apply

Expected results:
Config is applied

Additional info:
Workaround: fillin same gateway as address
Comment 1 Pavel Roskin 2013-09-05 18:17:39 EDT
I cannot reproduce this problem.  I believe it has been fixed.  I'm using nm-connection-editor-0.9.8.2-1.fc19.i686 and network-manager-applet-0.9.8.2-1.fc19.i686.  I don't have control-center installed, I use LXDE.
Comment 3 Fedora End Of Life 2015-01-09 13:09:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:16:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.